=== rc/CMakeLists.txt ===

install(
	FILES gtkrc icons4 kdeglobals oxygenrc argb-blacklist.conf
	DESTINATION "${INSTALL_PATH_GTK_THEMES}/oxygen-gtk/gtk-2.0"
 )
