## gtk2-engines-oxygen 1.0.3

=== debian/changelog ===
gtk2-engines-oxygen (1.0.3-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 15 Mar 2011 20:30:20 -0400

gtk2-engines-oxygen (1.0.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Feb 2011 12:34:52 -0500

gtk2-engines-oxygen (1.0.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
  * Port to debhelper 8:
    - Bump debian/compat to 8
    - Bump debhelper build-depend version to 8

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 13 Jan 2011 16:25:57 -0500

gtk2-engines-oxygen (1.0.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 12 Dec 2010 22:30:44 -0500

gtk2-engines-oxygen (0.1~git20101205-0ubuntu1) natty; urgency=low

  * New upstream snapshot

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 18:47:57 -0500

gtk2-engines-oxygen (0.1~git20101123-0ubuntu1) natty; urgency=low

  * Initial release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Nov 2010 08:46:11 -0500
