=== debian/control ===
Source: gtk2-engines-oxygen
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0~), cmake, pkg-config, libgtk2.0-dev, libcairo2-dev
Standards-Version: 3.9.1
Homepage: http://gitorious.org/oxygen-gtk

Package: gtk2-engines-oxygen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Oxygen widget theme for GTK+-based apps
 This widget style is a GTK+ version of the Oxygen widget theme for Qt/KDE.
 It features clean gradients and a cohesive style that brings polish and
 consistency to the desktop.
