=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gtk-2.0

%:
	dh $@ --parallel
