## gtk2-engines-oxygen 1.1.2

=== debian/changelog ===
gtk2-engines-oxygen (1.1.2-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends
    - Build for multiarch.
      + Add gtk_libdir_install_path.diff.
    - Remove oxygen-gtk-deco and oxygen-gtk-demo tools as they are useless
      and would have to be moved into a new package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 08 Sep 2011 23:23:18 +0200

gtk2-engines-oxygen (1.1.2-1) unstable; urgency=low

  * New upstream release. (Closes: #640916)
  * debian/gtk2-engines-oxygen.lintian-overrides: Added with overrides for
    missing manpages (demo apps don't really need them).

 -- Kai Wasserbäch <curan@debian.org>  Thu, 08 Sep 2011 18:38:26 +0200

gtk2-engines-oxygen (1.1.1-0ubuntu2) oneiric; urgency=low

  * Build for multiarch. (LP: #828360)
    - Add gtk_libdir_install_path.diff.
  * Remove oxygen-gtk-deco and oxygen-gtk-demo tools as they are useless
    and would have to be moved into a new package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 17 Aug 2011 14:31:00 +0200

gtk2-engines-oxygen (1.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Aug 2011 10:39:23 -0400

gtk2-engines-oxygen (1.1.0-1ubuntu2) oneiric; urgency=low

  * Put back dh_makeshlibs override that I shouldn't have removed

 -- Scott Kitterman <scott@kitterman.com>  Sat, 23 Jul 2011 12:40:25 -0400

gtk2-engines-oxygen (1.1.0-1ubuntu1) oneiric; urgency=low

  * Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends
    - This engine is only relevant when a gtk2 application is installed and
      we want to avoid dragging gtk2 onto the Kubuntu CD

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jul 2011 18:03:03 -0400

gtk2-engines-oxygen (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: add libdbus-glib-1-dev build dependency.

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 22:00:43 +0300

gtk2-engines-oxygen (1.0.5-1) unstable; urgency=low

  * New upstream version.
  * debian/gbp.conf: Make signed tags the default behaviour.
  * debian/control: Bumped Standards-Version to 3.9.2, no further changes
    required.
  * debian/copyright: Added myself to the "Debian packaging" section.

 -- Kai Wasserbäch <curan@debian.org>  Fri, 20 May 2011 10:13:26 +0200

gtk2-engines-oxygen (1.0.4-1) unstable; urgency=low

  * New upstream version. (Closes: #623442)

 -- Kai Wasserbäch <curan@debian.org>  Wed, 20 Apr 2011 12:49:21 +0200

gtk2-engines-oxygen (1.0.3-1) unstable; urgency=low

  * New upstream version.
    - debian/patches/LP719078_fix_assert_failure.patch: Dropped, was taken
      from upstream.
  * debian/rules: Added "--parallel" to dh_auto_configure invocation.
  * debian/watch: Added "git-import-orig" as a command.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 14 Mar 2011 18:03:50 +0100

gtk2-engines-oxygen (1.0.2-2) unstable; urgency=low

  * Update debian/control:
    - Point to the correct VCS.
    - Bumped B-D on debhelper to 8.
    - Added kde-config-gtk-style to Suggests.
  * Add debian/watch file.
  * Add debian/patches/LP719078_fix_assert_failure.patch (LP: #719078) 
  * Update debian/source:
    - local-options: Added with "unapply-patches".
    - options: Added to ensure BZip2 compression.
  * Update debian/compat: raise to 8.
  * Update debian/rules:
    - Ensure minimal linking.
    - Add .PHONY line.
  * debian/gbp.conf: Ensure pristine-tar usage.

 -- Kai Wasserbäch <curan@debian.org>  Sun, 20 Feb 2011 14:08:10 +0100

gtk2-engines-oxygen (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 11 Feb 2011 11:58:52 +0200

gtk2-engines-oxygen (1.0.0+git260+36e283c-1) unstable; urgency=low

  * Initial release. (Closes: #601046)

 -- Fathi Boudra <fabo@debian.org>  Fri, 31 Dec 2010 10:31:44 +0200
