=== debian/control ===
Source: gtk2-engines-oxygen
Section: gnome
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: cmake, debhelper (>= 8.1.3~), libdbus-glib-1-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

Package: gtk2-engines-oxygen
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style
Description: Oxygen widget theme for GTK+-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.
