=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_auto_install:
	dh_auto_install

	# remove useless tools
	rm debian/gtk2-engines-oxygen/usr/bin/oxygen-gtk-deco
	rm debian/gtk2-engines-oxygen/usr/bin/oxygen-gtk-demo
	rmdir debian/gtk2-engines-oxygen/usr/bin

override_dh_makeshlibs:
	# not a public library

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0

.PHONY: override_dh_makeshlibs override_dh_shlibdeps override_dh_auto_configure override_dh_auto_install
