## gtk2-engines-oxygen 1.1.5

=== debian/changelog ===
gtk2-engines-oxygen (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Kai Wasserbäch <curan@debian.org>  Thu, 24 Nov 2011 10:37:07 +0100

gtk2-engines-oxygen (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/dont-build-demos.patch: Refreshed.
  * Move to debhelper compat level 9:
    - debian/rules: Remove dpkg-architecture invocation, dh v9 does it for us.
    - debian/control: Bump the B-D on debhelper and correct the B-D on cmake
      for multiarch.
    - debian/source.lintian-overrides: Added (temp. only).

 -- Kai Wasserbäch <curan@debian.org>  Tue, 18 Oct 2011 21:09:25 +0200

gtk2-engines-oxygen (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated Vcs-* entries to point to anonscm.d.o.
  * Prepare for multiarch:
    - debian/control:
      · Bumped B-D on debhelper.
      · Bumped B-D on libgtk2.0-dev (multiarch ready since 2.24.5-4).
      · Added Pre-Depends and Multi-Arch entries to binary package.
  * Don't build the two demo applications:
    - debian/rules: Set DEBIAN_NO_DEMOS.
    - debian/patches/dont-build-demos.patch: Added to make demo building
      optional.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 20 Sep 2011 12:08:39 +0200
