=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0

.PHONY: override_dh_makeshlibs override_dh_auto_configure
