## gtk2-engines-oxygen 1.1.6

=== debian/changelog ===
gtk2-engines-oxygen (1.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 30 Dec 2011 12:24:19 +0200
