=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
- debhelper (>= 8.9.4),
- libdbus-glib-1-dev,
- libgtk2.0-dev (>= 2.24.5-4)
+               debhelper (>= 8.9.4),
+               libdbus-glib-1-dev,
+               libgtk2.0-dev (>= 2.24.5-4)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
