=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
-               debhelper (>= 8.9.4),
+               debhelper (>= 9),
                libdbus-glib-1-dev,
                libgtk2.0-dev (>= 2.24.5-4)
 Standards-Version: 3.9.2
