## gtk2-engines-oxygen 1.2.2

=== debian/changelog ===
gtk2-engines-oxygen (1.2.2-0ubuntu1.1) precise-proposed; urgency=low

  * Fix crash in Filezilla when connecting to a remote site. (LP: #992133)
    - Add fix-filezilla-crash.patch, cerry-picked from upstream.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 06 May 2012 11:47:50 +0200

gtk2-engines-oxygen (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Build-depend on libglib2.0-dev instead of libdbus-glib-1-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 18 Mar 2012 00:12:17 +0100

gtk2-engines-oxygen (1.2.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Mar 2012 14:05:19 +0100

gtk2-engines-oxygen (1.2.0-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 23 Jan 2012 22:53:14 +0100

gtk2-engines-oxygen (1.1.6-1ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 10 Jan 2012 12:13:18 +0100

gtk2-engines-oxygen (1.1.3-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 15 Oct 2011 14:54:12 +0200
