=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
-               libdbus-glib-1-dev,
+               libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
