=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,7 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0
 
-.PHONY: override_dh_makeshlibs override_dh_auto_configure
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xlibgtk2.0-0
+
+.PHONY: override_dh_makeshlibs override_dh_auto_configure override_dh_shlibdeps
