## gtk2-engines-oxygen 1.2.2-0ubuntu1.1+6.0.1trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
 set( CPACK_PACKAGE_VERSION_MINOR "2" )
-set( CPACK_PACKAGE_VERSION_PATCH "0" )
+set( CPACK_PACKAGE_VERSION_PATCH "2" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -87,7 +87,7 @@
         ARGS --variable=prefix gtk+-2.0
         OUTPUT_VARIABLE GTK_PREFIX )
 
-  	message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
+    message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
     set(CMAKE_INSTALL_PREFIX
         ${GTK_PREFIX} CACHE PATH "GTK install prefix" FORCE
         )
@@ -106,11 +106,21 @@
 pkg_check_modules( CAIRO REQUIRED cairo )
 
 # DBus
+set( HAVE_DBUS_GLIB 0 )
+pkg_check_modules( GLIB_DBUS glib-2.0>=2.26 )
+if( GLIB_DBUS_FOUND )
+    set( HAVE_DBUS_GLIB 1 )
+endif()
+
 set( HAVE_DBUS 0 )
-pkg_check_modules( DBUS dbus-glib-1 )
-if( DBUS_FOUND )
-    set( HAVE_DBUS 1 )
-endif()
+if( NOT HAVE_DBUS_GLIB )
+
+    pkg_check_modules( DBUS dbus-glib-1 )
+    if( DBUS_FOUND )
+        set( HAVE_DBUS 1 )
+    endif( DBUS_FOUND)
+
+endif( NOT HAVE_DBUS_GLIB )
 
 ##########################
 # installation directories
@@ -122,7 +132,7 @@
 
 if( DEFINED LIB_SUFFIX OR NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT )
 
- 	message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
+    message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
     set( INSTALL_PATH_GTK_ENGINES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )
 
 else()
@@ -132,7 +142,7 @@
         ARGS --variable=libdir gtk+-2.0
         OUTPUT_VARIABLE GTK_LIBDIR_PREFIX )
 
- 	message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
+    message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
     set( INSTALL_PATH_GTK_ENGINES "${GTK_LIBDIR_PREFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )
 
 endif()
@@ -142,9 +152,10 @@
 
 # First emit all warnings in one place
 # Warn user if dbus-glib not found
-if( NOT DBUS_FOUND )
-    message( "Warning: dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/> could not be found on your system.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
-endif( NOT DBUS_FOUND )
+if( NOT HAVE_DBUS_GLIB AND NOT HAVE_DBUS )
+    message( "Warning: a recent enough version of glib-2.0 <http://www.gtk.org/> could not be found on your system. \n oxygen-gtk will not have D-Bus support.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
+    message( "Warning: alternatively you can install dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/>." )
+endif()
 
 # Adjust flags based on gtk version and warn user if needed
 if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
@@ -158,6 +169,7 @@
 message( "Flags: " )
 message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
 message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
+message( "  HAVE_DBUS_GLIB ${HAVE_DBUS_GLIB}" )
 message( "  HAVE_DBUS ${HAVE_DBUS}" )
 message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
 message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
@@ -199,4 +211,6 @@
 add_subdirectory( src )
 add_subdirectory( rc )
 add_subdirectory( special-icons )
-add_subdirectory( demo )
+if( NOT DEBIAN_NO_DEMOS )
+  add_subdirectory( demo )
+endif( NOT DEBIAN_NO_DEMOS )
