=== debian/changelog ===
gtk2-engines-oxygen (1.2.2-0ubuntu1.1+6.0.1trisquel1) toutatis; urgency=low

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 28 May 2014 03:37:59 +0200
