=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
