## gtk2-engines-oxygen 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
 set( CPACK_PACKAGE_VERSION_MINOR "2" )
-set( CPACK_PACKAGE_VERSION_PATCH "2" )
+set( CPACK_PACKAGE_VERSION_PATCH "4" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -45,6 +45,11 @@
 if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
     set( OXYGEN_DEBUG_INNERSHADOWS 0 )
 endif( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
+
+# Set to 1 to build windeco test app (normal users rarely need this)
+if( NOT DEFINED BUILD_DECO_TEST )
+    set( BUILD_DECO_TEST 0 )
+endif( NOT DEFINED BUILD_DECO_TEST )
 
 # Set to 1 to replace gtk stock icons
 # with oxygen-icons
@@ -105,23 +110,6 @@
 # Cairo
 pkg_check_modules( CAIRO REQUIRED cairo )
 
-# DBus
-set( HAVE_DBUS_GLIB 0 )
-pkg_check_modules( GLIB_DBUS glib-2.0>=2.26 )
-if( GLIB_DBUS_FOUND )
-    set( HAVE_DBUS_GLIB 1 )
-endif()
-
-set( HAVE_DBUS 0 )
-if( NOT HAVE_DBUS_GLIB )
-
-    pkg_check_modules( DBUS dbus-glib-1 )
-    if( DBUS_FOUND )
-        set( HAVE_DBUS 1 )
-    endif( DBUS_FOUND)
-
-endif( NOT HAVE_DBUS_GLIB )
-
 ##########################
 # installation directories
 ##########################
@@ -151,12 +139,6 @@
 set( GTK_THEME_DIR ${INSTALL_PATH_GTK_THEMES}/oxygen-gtk )
 
 # First emit all warnings in one place
-# Warn user if dbus-glib not found
-if( NOT HAVE_DBUS_GLIB AND NOT HAVE_DBUS )
-    message( "Warning: a recent enough version of glib-2.0 <http://www.gtk.org/> could not be found on your system. \n oxygen-gtk will not have D-Bus support.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
-    message( "Warning: alternatively you can install dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/>." )
-endif()
-
 # Adjust flags based on gtk version and warn user if needed
 if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
     message( "Warning: disabling inner shadows hack because GTK version is too old (needed 2.24.2, found ${GTK_VERSION})" )
@@ -168,9 +150,8 @@
 #########
 message( "Flags: " )
 message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
+message( "  BUILD_DECO_TEST ${BUILD_DECO_TEST}" )
 message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
-message( "  HAVE_DBUS_GLIB ${HAVE_DBUS_GLIB}" )
-message( "  HAVE_DBUS ${HAVE_DBUS}" )
 message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
 message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
 message( "  ENABLE_COMBOBOX_LIST_RESIZE ${ENABLE_COMBOBOX_LIST_RESIZE}" )
@@ -197,8 +178,8 @@
 ######################################################################
 # Setup definitions and directories to be used for linking and include
 ######################################################################
-link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} ${DBUS_LIBRARY_DIRS} )
-include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )
+link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} )
+include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )
 
 #############################
 # generate configuration file
@@ -211,6 +192,4 @@
 add_subdirectory( src )
 add_subdirectory( rc )
 add_subdirectory( special-icons )
-if( NOT DEBIAN_NO_DEMOS )
-  add_subdirectory( demo )
-endif( NOT DEBIAN_NO_DEMOS )
+add_subdirectory( demo )
