=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
                libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary
