## gtk2-engines-oxygen 1.3.0

=== debian/changelog ===
gtk2-engines-oxygen (1.3.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2012 15:38:45 +0100

gtk2-engines-oxygen (1.2.4-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 07 Jun 2012 09:39:24 -0400

gtk2-engines-oxygen (1.2.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fixes crash in Filezilla. (LP: #992133)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 06 May 2012 11:57:43 +0200
