## gtk2-engines-oxygen 1.3.1

=== debian/changelog ===
gtk2-engines-oxygen (1.3.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 20 Nov 2012 11:50:45 +0100
