=== debian/changelog ===
gtk2-engines-oxygen (1.3.3-2ubuntu0.1) raring-proposed; urgency=low

  * No change backport to Raring (LP: #963736)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 May 2013 15:28:56 +0530

gtk2-engines-oxygen (1.3.3-2ubuntu1) saucy; urgency=low

  * Merge with debian, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 May 2013 12:47:40 +0530

gtk2-engines-oxygen (1.3.3-2) unstable; urgency=low

  * Team upload.
  * Add popen-instead-of-g_spawn_command_line_sync.patch
    from upstream (Closes: #707699).

 -- Ralf Jung <post@ralfj.de>  Thu, 23 May 2013 21:16:30 +0200

gtk2-engines-oxygen (1.3.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 12 May 2013 11:17:23 +0200

gtk2-engines-oxygen (1.3.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh dont-build-demos.patch.
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 11 May 2013 22:35:11 +0200
