## gtk2-engines-oxygen 1.3.4

=== debian/changelog ===
gtk2-engines-oxygen (1.3.4-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Drop popen-instead-of-g_spawn_command_line_sync.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Jun 2013 07:05:25 +0100
