## gtk2-engines-oxygen 1.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,10 @@
 set( CPACK_SOURCE_PACKAGE_NAME "oxygen-gtk2" )
 set( CPACK_SOURCE_GENERATOR TBZ2 )
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk2 theme" )
-set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
+set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
-set( CPACK_PACKAGE_VERSION_MINOR "2" )
-set( CPACK_PACKAGE_VERSION_PATCH "4" )
+set( CPACK_PACKAGE_VERSION_MINOR "4" )
+set( CPACK_PACKAGE_VERSION_PATCH "5" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -41,6 +41,11 @@
     set( OXYGEN_DEBUG 0 )
 endif( NOT DEFINED OXYGEN_DEBUG )
 
+# Set to 1 to disable all signal hooks used for various features
+if( NOT DEFINED DISABLE_SIGNAL_HOOKS )
+    set( DISABLE_SIGNAL_HOOKS 0 )
+endif( NOT DEFINED DISABLE_SIGNAL_HOOKS )
+
 # Set to 1 to enable debug logs regarding inner shadows
 if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
     set( OXYGEN_DEBUG_INNERSHADOWS 0 )
@@ -106,9 +111,11 @@
 
 # GTK
 pkg_check_modules( GTK REQUIRED gtk+-2.0 )
+add_definitions( ${GTK_CFLAGS_OTHER} )
 
 # Cairo
 pkg_check_modules( CAIRO REQUIRED cairo )
+add_definitions( ${CAIRO_CFLAGS_OTHER} )
 
 ##########################
 # installation directories
@@ -150,6 +157,7 @@
 #########
 message( "Flags: " )
 message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
+message( "  DISABLE_SIGNAL_HOOKS ${DISABLE_SIGNAL_HOOKS}" )
 message( "  BUILD_DECO_TEST ${BUILD_DECO_TEST}" )
 message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
 message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
@@ -193,3 +201,4 @@
 add_subdirectory( rc )
 add_subdirectory( special-icons )
 add_subdirectory( demo )
+
