=== debian/changelog ===
gtk2-engines-oxygen (1.4.5-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 16:26:49 +0100

gtk2-engines-oxygen (1.4.3-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * One major issue was fixed (basically some dangling
    pointers being wrongly accessed). (LP: #1219844)

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 12 Feb 2014 06:35:44 -0800

gtk2-engines-oxygen (1.4.0-1ubuntu1) trusty; urgency=low

  * Merge with debian, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 18 Nov 2013 07:00:08 +1100

gtk2-engines-oxygen (1.4.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh dont-build-demos.patch.
  * Drop popen-instead-of-g_spawn_command_line_sync.patch, no
    longer needed.

 -- Ralf Jung <post@ralfj.de>  Wed, 30 Oct 2013 08:58:18 +0100
