=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary
