=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0

.PHONY: override_dh_makeshlibs override_dh_auto_configure override_dh_shlibdeps
